Subject: Re: linux-next: hwpoison tree build failure

From: Andi Kleen <[email-masked]>
Date: Wed, 16 Dec 2009 11:13:09 +0100

On Wed, Dec 16, 2009 at 05:26:33PM +1100, Stephen Rothwell wrote:
> Hi Andi,
> 
> Today's linux-next build (x86_64 allmodconfig) failed like this:
> 
> mm/memory-failure.c: In function 'soft_offline_page':
> mm/memory-failure.c:1266: error: too few arguments to function 'migrate_pages'
> 
> Caused by commit c71d409184af558ddac0fd0167061d6282428872 ("HWPOISON: Add
> soft page offline support") from the hwpoison tree interacting with
> commit 62b61f611eb5e20f7e9f8619bfd03bdfe8af6348 ("ksm: memory hotremove
> migration only") from Linus' tree.
> 
> I added the following merge fix for today (I don't know if it is correct)
> and can carry it for a while:

Yes I am already aware of this, but I haven't pushed out a new tree yet
(mostly because there was no uptodate -git* snapshot for this yesterday, lame
excuse I know) 

Your fix is the same as I have.

-Andi

-- 
[email-masked] -- Speaking for myself only.